PKGCTL-VERSION-CHECK(1)

BEZEICHNUNG
pkgctl-version-check - Lokale Paketversion mit der der Originalautoren vergleichen

ÜBERSICHT

pkgctl version check [OPTIONEN] [PAKETBASIS…]

BESCHREIBUNG

Vergleicht die Versionen von Paketen in den lokalen Paketierungs-Repositorien mit den jeweils neusten Versionen der Originalautoren.

Bei der Ausführung erstellt er eine gruppierte Liste, die detaillierte Einblicke in den Status jedes Pakets liefern. Für jedes Paket gibt er die aktuelle lokale Version zusammen mit der neusten Version, die von den Originalautoren verfügbar ist, aus.

Gibt eine Zusammenfassung der aktuellen Pakete, der veralteten Pakeete und aller Überprüfungsfehler aus.

Dies vereinfacht die Pflege der PKGBUILD-Dateien und reduziert den manuellen Aufwand, um die Versionsänderungen der Quellen der Originalautoren nachzuvollziehen.

KONFIGURATION

Verwendet nvchecker(1) und eine Datei .nvchecker.toml, die sich bei der PKGBUILD befindet. Lesen Sie den Abschnitt Konfiguration in pkgctl-version(1).

OPTIONEN

-h, --help
    Zeigt einen Hilfetext an.

FILTEROPTIONEN

-v, --verbose
    Zeigt alle Ergebnisse, einschließlich der aktuellen Versionen.

AUSGABEOPTIONEN

--json
    Aktiviert die Ausgabe in JSON; Abkürzung für --format json.

-F, --format FORMAT
    Steuert das Ausgabeformat der Ergebnisse: FORMAT ist pretty (die Vorgabe) oder json.

EXIT-CODES

Beim Exit wird einer der folgenden Codes zurückgeliefert:

0
    Normale Exit-Bedingung, alle geprüften Versionen sind aktuell.

1
    Unbekannter Fehlergrund.

2
    Normale Exit-Bedingung, aber es gibt veraltete Verionen.

3
    Einige Versionsprüfungen konnten nicht durchgeführt werden.

SIEHE AUCH

pkgctl-version(1), nvchecker(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.